due-service.display-name=due-service

info.name=${due-service.display-name}
info.version=1.0
  
spring.banner.location=classpath=banner.txt
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.Oracle10gDialect
spring.jpa.properties.show-sql=false  
spring.activemq.broker-url=tcp=//localhost=61616
spring.activemq.user=admin
spring.activemq.password=admin
spring.activemq.pool.block-if-full=true
spring.activemq.pool.block-if-full-timeout=-1
spring.activemq.pool.create-connection-on-startup=true
spring.activemq.pool.enabled=false
spring.activemq.pool.expiry-timeout=0
spring.activemq.pool.idle-timeout=30000
spring.activemq.pool.max-connections=1
spring.activemq.pool.maximum-active-session-per-connection=500
spring.activemq.pool.reconnect-on-exception=true
spring.activemq.pool.time-between-expiration-check=-1
spring.activemq.pool.use-anonymous-producers=true

spring.jms.listener.acknowledge-mode=auto
spring.jms.listener.auto-startup=true
spring.jms.listener.concurrency=5
spring.jms.listener.max-concurrency=10
spring.jms.pub-sub-domain=false
spring.jms.template.priority=100
spring.jms.template.qos-enabled=true
spring.jms.template.receive-timeout=1000
spring.jms.template.time-to-live=36000

spring.jpa.properties.hibernate.jdbc.time_zone = UTC

management.endpoints.web.exposure.include=*
management.security.enabled=false

#n4=
#  datasource=
#    driver-class-name= oracle.jdbc.OracleDriver
#    url= jdbc=oracle=thin=@172.26.144.18=1521/n4dev2
#    username= boletim
#    password= 'boletim'
#  complex= 'RIODEJANEIRO'
#  facility= 'LTR'
#  operator= 'LIBRA'
#  yard= 'T1R'
#  url= 'http=//172.26.144.79=9080/apex/services/argoservice'
#  username= 'N4_API_APPT'
#  password= 'ajNaZTJ1K2EkRU1F'
#
#due=
#  datasource=
#    driver-class-name= oracle.jdbc.OracleDriver
#    url= jdbc=oracle=thin=@172.26.144.18=1521/n4dev2    
#    username= duedev
#    password= 'duedev'

#siscomex=
#  cnpj-cert= '02373517000232'
#  timeout= 5000

logging.file=logs/${due-service.display-name}.log
logging.pattern.console="%d %-5level %logger = %msg%n"
#logging.pattern.console=
logging.pattern.file="%d %-5level [%thread] %logger = %msg%n"
logging.level.br.com.grupolibra=INFO
logging.level.org.springframework.web=INFO

messages.basename=messages
messages.default.country=BR
messages.default.language=PT
messages.default.encoding=UTF-8

